LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
WordType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::i18n
| Interface for internationalization.

## Constant Groups
constants | com::sun::star::i18n::WordType
| Constants to specify the type of words.

## Variables
const short | ANY_WORD = 0
| Any "words" - words in the meaning of same character types, collection of alphanumeric characters, or collection of non-alphanumeric characters. More...
const short | ANYWORD_IGNOREWHITESPACES = 1
| Any "words" - words in the meaning of same character types, collection of alphanumeric characters, or collection of non-alphanumeric characters except blanks. More...
const short | DICTIONARY_WORD = 2
| "words" - in the meaning of a collection of alphanumeric characters and some punctuations, like dot for abbreviation. More...
const short | WORD_COUNT = 3
| The mode for counting words, it will combine punctuations and spaces as word trail. More...